Loading...
Searching...
No Matches
netdev_netns_ctx Struct Reference
Netdev

## Data Fields

struct llist_head | entry
unsigned int | refcount
const char * | netns_name
int | netns_fd

## Field Documentation

## entry

struct llist_head netdev_netns_ctx::entry

Referenced by netdev_netns_ctx_alloc(), netdev_netns_ctx_find_by_netns_name(), and netdev_netns_ctx_free().

## netns_fd

int netdev_netns_ctx::netns_fd

Referenced by netdev_netns_ctx_alloc(), netdev_netns_ctx_free(), and netdev_netns_ctx_init().

## netns_name

const char* netdev_netns_ctx::netns_name

Referenced by netdev_netns_ctx_alloc(), netdev_netns_ctx_find_by_netns_name(), netdev_netns_ctx_get(), and netdev_netns_ctx_init().

## refcount

unsigned int netdev_netns_ctx::refcount

Referenced by netdev_netns_ctx_get(), and netdev_netns_ctx_put().

The documentation for this struct was generated from the following file:

- src/core/netdev.c